Typescript compile error with latest antd

Running npm tsc with the latest antd version returns several errors.

node_modules/antd/lib/tooltip/placements.d.ts:16:73 - error TS2307: Cannot find module '_rc-trigger@5.2.1@rc-trigger' or its corresponding type declarations.

16 export default function getPlacements(config: PlacementsConfig): import("_rc-trigger@5.2.1@rc-trigger").BuildInPlacements;

antd version 4.11.1

Any fixes/ workarounds?

101 thoughts on “Typescript compile error with latest antd”

Leave a Comment